Bug 1281729 - external VM name clash
external VM name clash
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.5.5
Unspecified Unspecified
high Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: bugs@ovirt.org
meital avital
: UserExperience
Depends On:
Blocks: 1272099
  Show dependency treegraph
 
Reported: 2015-11-13 05:17 EST by Michal Skrivanek
Modified: 2017-09-28 04:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt‑4.3?
michal.skrivanek: planning_ack?
michal.skrivanek: devel_ack?
michal.skrivanek: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Michal Skrivanek 2015-11-13 05:17:49 EST
when a VM "x" previously used in the system becomes external (as a result of a problem, unclean host removal, etc) it is imported as "external-x". Then if I again create a brand new VM "x" without removing "external-x" and the same situation happens, engine will try to add "external-x" again since IDs are different, only to fail miserably on a name conflict.

we should have some protection for these cases. Moreover I think when I name my regular VM as "external-x" I'm going to have the same trouble
Comment 2 Michal Skrivanek 2016-12-21 04:08:41 EST
The bug was not addressed in time for 4.1. Postponing to 4.2

Note You need to log in before you can comment on or make changes to this bug.